#

# Module manifest for module 'VMware.VimAutomation.Security'

#

# Generated by: "VMware"

#



@{



# Script module or binary module file associated with this manifest.

RootModule = 'VMware.VimAutomation.Security.psm1'



# Version number of this module.

ModuleVersion = '11.0.0.88505130'



# ID used to uniquely identify this module

GUID = 'a98bbb9b-50a0-4a1f-a287-84d6bc599a56'



# Author of this module

Author = 'VMware'



# Company or vendor of this module

CompanyName = 'VMware, Inc.'



# Copyright statement for this module

Copyright = 'Copyright (c) VMware, Inc. All rights reserved.'



# Description of the functionality provided by this module

Description = 'This Windows PowerShell module contains PowerCLI security management cmdlets.'



# Modules that must be imported into the global environment prior to importing this module

RequiredModules = @(

@{"ModuleName"="VMware.VimAutomation.Storage";"ModuleVersion"="11.3.0.87419867"}

)



FunctionsToExport = '*'



CmdletsToExport = @('Add-AttestationServiceInfo','Add-KeyProviderServiceInfo','Add-TrustAuthorityKeyProviderServer','Add-TrustAuthorityKeyProviderServerCertificate','Export-Tpm2CACertificate','Export-Tpm2EndorsementKey','Export-TrustAuthorityKeyProviderClientCertificate','Export-TrustAuthorityServicesInfo','Export-TrustedPrincipal','Export-VMHostImageDb','Get-AttestationServiceInfo','Get-KeyProvider','Get-KeyProviderServiceInfo','Get-SecurityInfo','Get-Tpm2EndorsementKey','Get-TrustAuthorityAttestationService','Get-TrustAuthorityCluster','Get-TrustAuthorityKeyProvider','Get-TrustAuthorityKeyProviderClientCertificate','Get-TrustAuthorityKeyProviderClientCertificateCSR','Get-TrustAuthorityKeyProviderServer','Get-TrustAuthorityKeyProviderServerCertificate','Get-TrustAuthorityKeyProviderService','Get-TrustAuthorityPrincipal','Get-TrustAuthorityServicesStatus','Get-TrustAuthorityTpm2AttestationSettings','Get-TrustAuthorityTpm2CACertificate','Get-TrustAuthorityTpm2EndorsementKey','Get-TrustAuthorityVMHostBaseImage','Get-TrustedCluster','Get-TrustedPrincipal','Get-VTpm','Get-VTpmCertificate','Get-VTpmCSR','Import-TrustAuthorityServicesInfo','New-TrustAuthorityKeyProvider','New-TrustAuthorityKeyProviderClientCertificate','New-TrustAuthorityKeyProviderClientCertificateCSR','New-TrustAuthorityPrincipal','New-TrustAuthorityTpm2CACertificate','New-TrustAuthorityTpm2EndorsementKey','New-TrustAuthorityVMHostBaseImage','New-VTpm','Register-KeyProvider','Remove-AttestationServiceInfo','Remove-KeyProviderServiceInfo','Remove-TrustAuthorityKeyProvider','Remove-TrustAuthorityKeyProviderServer','Remove-TrustAuthorityKeyProviderServerCertificate','Remove-TrustAuthorityPrincipal','Remove-TrustAuthorityTpm2CACertificate','Remove-TrustAuthorityTpm2EndorsementKey','Remove-TrustAuthorityVMHostBaseImage','Remove-VTpm','Set-KeyProvider','Set-TrustAuthorityCluster','Set-TrustAuthorityKeyProvider','Set-TrustAuthorityKeyProviderClientCertificate','Set-TrustAuthorityTpm2AttestationSettings','Set-TrustedCluster','Set-VTpm','Unlock-VM','Unregister-KeyProvider')



AliasesToExport = '*'



}


# SIG # Begin signature block
# MIID0gYJKoZIhvcNAQcCoIIDwzCCA78CAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUcFq8RaHmv3F4sPs1DJBsFYJb
# lQGgggH/MIIB+zCCAWSgAwIBAgIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0B
# AQQFADAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MCAXDTA2MDEwMTA3MDAwMFoYDzIw
# OTkwMTAxMDcwMDAwWjAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MIGfMA0GCSqGSIb3
# DQEBAQUAA4GNADCBiQKBgQDmacgVpuOBXRDeqygplNoCKFw8/pnraVAWvTQIANfb
# wt54jsZyX8wC2xv9Olgh6723Xg9s7qMBaJwQ4MCtUB18cx4grDcGeyigsmToBxFA
# zs3lqCP6RfZQzFcLIFdI9XeXvGOebP7rMFh0F5nUuvHIOtPF6I5tEhtxcGIR1gO+
# 5wIDAQABo0owSDBGBgNVHQEEPzA9gBA5XdDY7iSoQWy8DWL2BWjboRcwFTETMBEG
# A1UEAxMKVk13YXJlVGVzdIIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0BAQQF
# AAOBgQCL864AWy1uUq69aswJAGcTBc7nGzM+3HCJT3tPLiiC76GYcnkxSQYHU8ER
# BdOwSKfPWKgjvdAvZR0/pLU6bIvQxEguFqgHVhbufx1njj7eH4dRWiDq672+OKJN
# IrcBnlMopCu75ryHAOH7j+dTUa2ykyt8FOk/OKVpnBfMfygrczGCAT0wggE5AgEB
# MCkwFTETMBEGA1UEAxMKVk13YXJlVGVzdAIQ18907PngVoVDxSbOLQ8BUzAJBgUr
# DgMCGgUAoGwwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwIwYJKoZIhvcNAQkE
# MRYEFFiD3QYxikRfuI+OYYQbAWS+G9OZMCoGCisGAQQBgjcCAQwxHDAaoRiAFmh0
# dHA6Ly93d3cudm13YXJlLmNvbS8wDQYJKoZIhvcNAQEBBQAEgYDHzyseWJCENU8C
# lD6RPoAYULV/QqneaApsTuela8uM9QsamAZvWFh7gwOhgRnXirM8cIMVSo2VZ/AK
# lXLBlABEZORH5BnjuZHdOqIQgwxAO8UpsbmGvhEhYUn9cnvRlWmvciU23MX89dxa
# LDa5vTpaV+mliTe3iJbQeREqKxCjMQ==
# SIG # End signature block
