#
# Module manifest for module 'VMware.VimAutomation.Storage'
#
# Generated by: "VMware"
#
#

@{

# Script module or binary module file associated with this manifest
ModuleToProcess = 'VMware.VimAutomation.Storage.psm1'

# Version number of this module.
ModuleVersion = '11.3.0.87419867'

# ID used to uniquely identify this module
GUID = '7124bdd4-aa16-43d3-a689-f0a16655f454'

# Author of this module
Author = 'VMware'

# Company or vendor of this module
CompanyName = 'VMware, Inc.'

# Copyright statement for this module
Copyright = 'Copyright (c) VMware, Inc. All rights reserved.'

# Description of the functionality provided by this module
Description = 'This Windows PowerShell module contains PowerCLI storage management cmdlets.'

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @(
   @{"ModuleName"="VMware.VimAutomation.Core";"ModuleVersion"="11.3.0.87418785"}
)

# Functions to export from this module
FunctionsToExport = '*'

# Cmdlets to export from this module
CmdletsToExport = @('Add-KeyManagementServer','Copy-VDisk','Export-SpbmStoragePolicy','Get-KeyManagementServer','Get-KeyProvider','Get-KmipClientCertificate','Get-KmsCluster','Get-NfsUser','Get-SpbmCapability','Get-SpbmCompatibleStorage','Get-SpbmEntityConfiguration','Get-SpbmFaultDomain','Get-SpbmPointInTimeReplica','Get-SpbmReplicationGroup','Get-SpbmReplicationPair','Get-SpbmStoragePolicy','Get-SpbmView','Get-VAIOFilter','Get-VasaProvider','Get-VasaStorageArray','Get-VDisk','Get-VsanClusterConfiguration','Get-VsanComponent','Get-VsanDisk','Get-VsanDiskGroup','Get-VsanEvacuationPlan','Get-VsanFaultDomain','Get-VsanIscsiInitiatorGroup','Get-VsanIscsiInitiatorGroupTargetAssociation','Get-VsanIscsiLun','Get-VsanIscsiTarget','Get-VsanObject','Get-VsanResyncingComponent','Get-VsanRuntimeInfo','Get-VsanSpaceUsage','Get-VsanStat','Get-VsanView','Import-SpbmStoragePolicy','Move-VDisk','New-KmipClientCertificate','New-NfsUser','New-SpbmRule','New-SpbmRuleSet','New-SpbmStoragePolicy','New-VAIOFilter','New-VasaProvider','New-VDisk','New-VsanDisk','New-VsanDiskGroup','New-VsanFaultDomain','New-VsanIscsiInitiatorGroup','New-VsanIscsiInitiatorGroupTargetAssociation','New-VsanIscsiLun','New-VsanIscsiTarget','Remove-KeyManagementServer','Remove-NfsUser','Remove-SpbmStoragePolicy','Remove-VAIOFilter','Remove-VasaProvider','Remove-VDisk','Remove-VsanDisk','Remove-VsanDiskGroup','Remove-VsanFaultDomain','Remove-VsanIscsiInitiatorGroup','Remove-VsanIscsiInitiatorGroupTargetAssociation','Remove-VsanIscsiLun','Remove-VsanIscsiTarget','Repair-VsanObject','Set-KeyManagementServer','Set-KeyProvider','Set-KmsCluster','Set-NfsUser','Set-SpbmEntityConfiguration','Set-SpbmStoragePolicy','Set-VAIOFilter','Set-VDisk','Set-VsanClusterConfiguration','Set-VsanFaultDomain','Set-VsanIscsiInitiatorGroup','Set-VsanIscsiLun','Set-VsanIscsiTarget','Start-SpbmReplicationFailover','Start-SpbmReplicationPrepareFailover','Start-SpbmReplicationPromote','Start-SpbmReplicationReverse','Start-SpbmReplicationTestFailover','Start-VsanClusterDiskUpdate','Start-VsanClusterRebalance','Start-VsanEncryptionConfiguration','Stop-SpbmReplicationTestFailover','Stop-VsanClusterRebalance','Sync-SpbmReplicationGroup','Test-VsanClusterHealth','Test-VsanNetworkPerformance','Test-VsanStoragePerformance','Test-VsanVMCreation','Update-VsanHclDatabase')

# Variables to export from this module
VariablesToExport = '*'

# Aliases to export from this module
AliasesToExport = '*'

}

# SIG # Begin signature block
# MIID0gYJKoZIhvcNAQcCoIIDwzCCA78CAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUnpvFa0ex8NFxtIig7cUBIxGm
# XLqgggH/MIIB+zCCAWSgAwIBAgIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0B
# AQQFADAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MCAXDTA2MDEwMTA3MDAwMFoYDzIw
# OTkwMTAxMDcwMDAwWjAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MIGfMA0GCSqGSIb3
# DQEBAQUAA4GNADCBiQKBgQDmacgVpuOBXRDeqygplNoCKFw8/pnraVAWvTQIANfb
# wt54jsZyX8wC2xv9Olgh6723Xg9s7qMBaJwQ4MCtUB18cx4grDcGeyigsmToBxFA
# zs3lqCP6RfZQzFcLIFdI9XeXvGOebP7rMFh0F5nUuvHIOtPF6I5tEhtxcGIR1gO+
# 5wIDAQABo0owSDBGBgNVHQEEPzA9gBA5XdDY7iSoQWy8DWL2BWjboRcwFTETMBEG
# A1UEAxMKVk13YXJlVGVzdIIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0BAQQF
# AAOBgQCL864AWy1uUq69aswJAGcTBc7nGzM+3HCJT3tPLiiC76GYcnkxSQYHU8ER
# BdOwSKfPWKgjvdAvZR0/pLU6bIvQxEguFqgHVhbufx1njj7eH4dRWiDq672+OKJN
# IrcBnlMopCu75ryHAOH7j+dTUa2ykyt8FOk/OKVpnBfMfygrczGCAT0wggE5AgEB
# MCkwFTETMBEGA1UEAxMKVk13YXJlVGVzdAIQ18907PngVoVDxSbOLQ8BUzAJBgUr
# DgMCGgUAoGwwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwIwYJKoZIhvcNAQkE
# MRYEFI+jM/ryU4GkGJR6zbn57t1NQX+jMCoGCisGAQQBgjcCAQwxHDAaoRiAFmh0
# dHA6Ly93d3cudm13YXJlLmNvbS8wDQYJKoZIhvcNAQEBBQAEgYA9fGjQDVB4jwpA
# GPIBy/PAFZfG0VV9XBhMinot+6I73rgBz0/cLCKn7S/OBLoXCTA6Vu2Ww8PWV0Hp
# ldw+jDV4EnZpN61vBKaFvSOkygiXzhlY+KASoAnYS00hT1XK841gebHNnIa4iTSQ
# fGRG/+ENSnLfk6//POhkoo2wTw2Rug==
# SIG # End signature block
